Skip to navigation

List pods.

View as Markdown
Retrieve a list of pods from a cluster.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

deletedbooleanOptional

Return only deleted resources when true.

offsetintegerOptional
The offset of the first item returned in the collection.
limitintegerOptional1-500Defaults to 50
The maximum number of entries to return.
sortOrderenumOptionalDefaults to asc
Sort results in descending or ascending order.
Allowed values:
sortByenumOptional
Sort results using a parameter.
filterBylist of stringsOptional

Filter results using a parameter. Use the format field-name operator value. Operators are == Equals, != Not equals, <= Less than or equal, >= Greater than or equal, =@ contains, !@ Does not contains, =^ Starts with and =$ Ends with. Dates are in ISO 8601 timestamp format and available for operators ==, !=, <= and >=.

verbosityenumOptionalDefaults to brief
response verbosity level. if full, the response includes workloadName and projectName fields.
Allowed values:
completedstringOptionalDefaults to all

Return only completed resources when ‘true’, return only non-completed resources when ‘false’. By default, or when empty, returns all resources.

searchstringOptional
Filter results by a free text search.

Response

Executed successfully.
podslist of objects
nextintegerOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error